Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.deploy.providers
Class WebAppProvider.Filter

    java.lang.Object
      org.eclipse.jetty.deploy.providers.WebAppProvider.Filter

All Implemented Interfaces:
  java.io.FilenameFilter

Enclosing class:
  WebAppProvider

    public static class WebAppProvider.Filter

extends java.lang.Object
implements java.io.FilenameFilter

Constructor Summary
`WebAppProvider.Filter()`

Method Summary
`boolean` | `accept(java.io.File dir, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppProvider.Filter

    public WebAppProvider.Filter()

Method Detail

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String name)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.